from flask import Blueprint, jsonify
from tpmcqr_service import redis_client
from tpmcqr_service.api.utils import calcula_distancias_parada, parada_ruta_expediciones
from time import monotonic

apiv2 = Blueprint('apiv2', __name__)

@apiv2.route('/api_v2/stop_info/<string:parada>')
def info_parada(parada=None):
    from time import monotonic
    start_time = monotonic()
    current_file = redis_client.get('current_file')
    status, salida_parada = calcula_distancias_parada(current_file, parada)
    salida_parada['compute_time'] = monotonic() - start_time
    return jsonify(salida_parada), status#    from tpmcqr_service.errors.handlers import errors


@apiv2.route('/api_v2/stop_linea/<string:parada>/<string:linea>')
def info_buses(parada=None, linea=None):
    from time import monotonic
    start_time = monotonic()
    current_file = redis_client.get('current_file')
    status, salida_parada = parada_ruta_expediciones(current_file, parada, linea)
    salida_parada['compute_time'] = monotonic() - start_time
    return jsonify(salida_parada), status#    from tpmcqr_service.errors.handlers import errors
